×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 20
  1. #1
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    "Device not Supported" with smart Installer in 500(Nokia Belle)

    Hi all, I am testing my application in Nokia 500. I am able to install application without smart installer
    but in ovi we have uploaded app with SmartInstaller so while installing from ovi first Installation will start--> preparing Installation--> Reverting changes-->Device not Supported.

    Edit: In this link i found some info regarding this issue but i dint understand how to solve so can anyone help me with this?

    Code:
    22-06-2012	3.07.11	CADMAppUi::CADMAppUi()
    22-06-2012	3.07.11	+ CADMAppUi::ConstructL()
    22-06-2012	3.07.12	+ ProcessCommandLineArgsL(): 7
    22-06-2012	3.07.12	Arg[0]='C:\sys\bin\ADM.exe'
    22-06-2012	3.07.12	Arg[1]='1519'
    22-06-2012	3.07.12	Arg[2]='4'
    22-06-2012	3.07.12	Arg[3]='537054415'
    22-06-2012	3.07.12	Arg[4]='14'
    22-06-2012	3.07.12	Arg[5]='3'
    22-06-2012	3.07.12	Arg[6]='c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.12	(cmd) pVer(raw) = 1519 (5ef)
    22-06-2012	3.07.12	(cmd) BVersion: 4
    22-06-2012	3.07.12	(cmd) Wrapper Uid: 0x2002CCCF
    22-06-2012	3.07.12	(cmd) IAP: 14
    22-06-2012	3.07.12	CDownloadHandler::SetIap(): 14
    22-06-2012	3.07.12	(cmd) LState 3
    22-06-2012	3.07.12	(cmd) SisFile: 'c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.12	- ProcessCommandLineArgsL(): 7->7
    22-06-2012	3.07.12	+ GetPhoneInformation()
    22-06-2012	3.07.12	  machine uid = 0x20035566
    22-06-2012	3.07.12		Sw Ver = 011.033.2011-11-07.RM-750.(c) Nokia
    22-06-2012	3.07.12	- GetPhoneInformation (0)
    22-06-2012	3.07.12	configFile = C:\Private\2002ccce\config.ini
    22-06-2012	3.07.12	configUrl = http://dl.qt.nokia.com/smartinstaller/ (default)
    22-06-2012	3.07.12	+ CStateMachine::Start()
    22-06-2012	3.07.12	- CADMAppUi::ConstructL()
    22-06-2012	3.07.12	+ SetState(): 0 -> 1
    22-06-2012	3.07.12	Installer pkg on C: (1)
    22-06-2012	3.07.12	* Parsing 'c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.13	+ SetState(): 1 -> 2
    22-06-2012	3.07.13	+ BuildDepTreeL(0)
    22-06-2012	3.07.13	* Processing 0x20013851 (0, 0)
    22-06-2012	3.07.13	Package 0x20013851: v1.06.0 to be downloaded
    22-06-2012	3.07.13	+ SetState(): 2 -> 3
    22-06-2012	3.07.13	Downloading CHANGES: '20013851_changes.xml'
    22-06-2012	3.07.14	Starting download
    22-06-2012	3.07.14	Restarting download due to network failure (1: -7377, -30426)
    22-06-2012	3.07.23	DL   14074/  14074 (8.9 s, 1.55 kB/s) (total: 13 kB, 8.9 s, avg 1.55 kB/s) OK
    22-06-2012	3.07.23	+ SetState(): 3 -> 4
    22-06-2012	3.07.23	+ ParseChangesFileL(): 'C:\system\adm\20013851_changes.xml'
    22-06-2012	3.07.23	[0x20013851] v0.00.0 installed
    22-06-2012	3.07.23	[0x20013851] v1.06.0 requested
    22-06-2012	3.07.23	[0x20013851] v1.07.7 selected
    22-06-2012	3.07.23	+ CXmlParser::ParseRestartApplicationsL
    22-06-2012	3.07.23	+ CXmlParser::ParseInstalledPackageL
    22-06-2012	3.07.23	Package 0x20013851: installed v0.00.0, selected v1.07.7
    22-06-2012	3.07.23	+ SetState(): 4 -> 5
    22-06-2012	3.07.23	+ FetchDepFileL(): 0x20013851
    22-06-2012	3.07.23	DepPkg URL: 'http://dl.qt.nokia.com/smartinstaller/20013851/1.7.7/'
    22-06-2012	3.07.23	Downloading DEP: 'pips_dep.xml'
    22-06-2012	3.07.23	+ StartDownload(): 'http://dl.qt.nokia.com/smartinstaller/20013851/1.7.7/pips_dep.xml'
    22-06-2012	3.07.23	  to 'C:\system\adm\pips_dep.xml'
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2054, L=0
    22-06-2012	3.07.23	DlSt=   15, PrSt=    0, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt=  500, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1000, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1020, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2020, L=0
    22-06-2012	3.07.23	DlSt=    3, PrSt= 2021, L=0
    22-06-2012	3.07.23	Starting download
    22-06-2012	3.07.23	DlSt=    2, PrSt=  500, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1000, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1020, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2030, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 2050, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 2051, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 3002, L=0
    22-06-2012	3.07.24	DlSt=    4, PrSt=    0, L=0
    22-06-2012	3.07.24	DL     190/    190 (0.5 s, 0.36 kB/s) (total: 13 kB, 9.4 s, avg 1.49 kB/s) OK
    22-06-2012	3.07.24	+ SetState(): 5 -> 6
    22-06-2012	3.07.24	+ ParseDepFileL(): 'C:\system\adm\pips_dep.xml'
    22-06-2012	3.07.24	+ SetState(): 6 -> 2
    22-06-2012	3.07.24	DlSt=   16, PrSt=    0, L=0
    22-06-2012	3.07.24	+ BuildDepTreeL(2)
    22-06-2012	3.07.24	* Processing 0x2000F866 (0, 0)
    22-06-2012	3.07.24	Package 0x2000F866 files present
    22-06-2012	3.07.24	Package 0x2000F866: v1.07.0 installed (v1.06.0 requested)
    22-06-2012	3.07.24	+ SetState(): 2 -> 3
    22-06-2012	3.07.24	Downloading CHANGES: '2000f866_changes.xml'
    22-06-2012	3.07.24	DlSt=   13, PrSt=    0, L=0
    22-06-2012	3.07.25	Starting download
    22-06-2012	3.07.26	DL   11621/  11621 (1.4 s, 8.27 kB/s) (total: 25 kB, 10.7 s, avg 2.35 kB/s) OK
    22-06-2012	3.07.26	+ SetState(): 3 -> 4
    22-06-2012	3.07.26	+ ParseChangesFileL(): 'C:\system\adm\2000f866_changes.xml'
    22-06-2012	3.07.26	[0x2000F866] v1.07.0 installed
    22-06-2012	3.07.26	[0x2000F866] v1.06.0 requested
    22-06-2012	3.07.26	+ SM::RunError(): 4, 20
    22-06-2012	3.07.26	! Package 0x2000F866 v1.06.0 (stdcpp) not available for 0x20035566
    22-06-2012	3.07.26	Exiting due to failure 4
    22-06-2012	3.07.26	+ SetState(): 4 -> 16
    22-06-2012	3.07.26	+ CADMAppUi::HandleFailure(): 16. err=4, m=3
    22-06-2012	3.07.27	- CADMAppUi::HandleFailure(): 0
    22-06-2012	3.07.28	+ SetState(): 16 -> 15
    22-06-2012	3.07.28	About to uninstall wrapper
    22-06-2012	3.07.28	+ SetState(): 15 -> 18
    22-06-2012	3.07.28	Exit (4)
    22-06-2012	3.07.28	Uninstalling wrapper 0x2002CCCF
    22-06-2012	3.07.32	CInstallManager: Install completed (0). 0
    22-06-2012	3.07.32	HandleInstallCompletedL(0): 18
    22-06-2012	3.07.32	+ TStateExit::InstallCompleted(0): 4, 20
    22-06-2012	3.07.33	+ CADMAppUi::ExitApp(): 4, 0
    22-06-2012	3.07.37	ADM icon hidden: 1 (0)
    22-06-2012	3.07.37	CADMAppUi::~CADMAppUi()
    22-06-2012	3.07.37	+ CStateMachine::Stop(): 0 pkgs installed.
    22-06-2012	3.07.37	Total 25 kB in 10.7 s, avg 2.35 kB/s (25.8 s)
    Last edited by please_help; 2012-06-22 at 11:04.

  2. #2
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    I came to know smart installer is not required for symbian Belle but to publish in ovi store Smart Installer is compulsory right.
    can i publish without smart Installer? or any other solution is there for this issue??

  3. #3
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Quote Originally Posted by please_help View Post
    Hi all, I am testing my application in Nokia 500. I am able to install application without smart installer
    but in ovi we have uploaded app with SmartInstaller so while installing from ovi first Installation will start--> preparing Installation--> Reverting changes-->Device not Supported.

    Edit: In this link i found some info regarding this issue but i dint understand how to solve so can anyone help me with this?

    Code:
    22-06-2012	3.07.11	CADMAppUi::CADMAppUi()
    22-06-2012	3.07.11	+ CADMAppUi::ConstructL()
    22-06-2012	3.07.12	+ ProcessCommandLineArgsL(): 7
    22-06-2012	3.07.12	Arg[0]='C:\sys\bin\ADM.exe'
    22-06-2012	3.07.12	Arg[1]='1519'
    22-06-2012	3.07.12	Arg[2]='4'
    22-06-2012	3.07.12	Arg[3]='537054415'
    22-06-2012	3.07.12	Arg[4]='14'
    22-06-2012	3.07.12	Arg[5]='3'
    22-06-2012	3.07.12	Arg[6]='c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.12	(cmd) pVer(raw) = 1519 (5ef)
    22-06-2012	3.07.12	(cmd) BVersion: 4
    22-06-2012	3.07.12	(cmd) Wrapper Uid: 0x2002CCCF
    22-06-2012	3.07.12	(cmd) IAP: 14
    22-06-2012	3.07.12	CDownloadHandler::SetIap(): 14
    22-06-2012	3.07.12	(cmd) LState 3
    22-06-2012	3.07.12	(cmd) SisFile: 'c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.12	- ProcessCommandLineArgsL(): 7->7
    22-06-2012	3.07.12	+ GetPhoneInformation()
    22-06-2012	3.07.12	  machine uid = 0x20035566
    22-06-2012	3.07.12		Sw Ver = 011.033.2011-11-07.RM-750.(c) Nokia
    22-06-2012	3.07.12	- GetPhoneInformation (0)
    22-06-2012	3.07.12	configFile = C:\Private\2002ccce\config.ini
    22-06-2012	3.07.12	configUrl = http://dl.qt.nokia.com/smartinstaller/ (default)
    22-06-2012	3.07.12	+ CStateMachine::Start()
    22-06-2012	3.07.12	- CADMAppUi::ConstructL()
    22-06-2012	3.07.12	+ SetState(): 0 -> 1
    22-06-2012	3.07.12	Installer pkg on C: (1)
    22-06-2012	3.07.12	* Parsing 'c:\private\2002CCCE\import\XygleScanner.sis'
    22-06-2012	3.07.13	+ SetState(): 1 -> 2
    22-06-2012	3.07.13	+ BuildDepTreeL(0)
    22-06-2012	3.07.13	* Processing 0x20013851 (0, 0)
    22-06-2012	3.07.13	Package 0x20013851: v1.06.0 to be downloaded
    22-06-2012	3.07.13	+ SetState(): 2 -> 3
    22-06-2012	3.07.13	Downloading CHANGES: '20013851_changes.xml'
    22-06-2012	3.07.14	Starting download
    22-06-2012	3.07.14	Restarting download due to network failure (1: -7377, -30426)
    22-06-2012	3.07.23	DL   14074/  14074 (8.9 s, 1.55 kB/s) (total: 13 kB, 8.9 s, avg 1.55 kB/s) OK
    22-06-2012	3.07.23	+ SetState(): 3 -> 4
    22-06-2012	3.07.23	+ ParseChangesFileL(): 'C:\system\adm\20013851_changes.xml'
    22-06-2012	3.07.23	[0x20013851] v0.00.0 installed
    22-06-2012	3.07.23	[0x20013851] v1.06.0 requested
    22-06-2012	3.07.23	[0x20013851] v1.07.7 selected
    22-06-2012	3.07.23	+ CXmlParser::ParseRestartApplicationsL
    22-06-2012	3.07.23	+ CXmlParser::ParseInstalledPackageL
    22-06-2012	3.07.23	Package 0x20013851: installed v0.00.0, selected v1.07.7
    22-06-2012	3.07.23	+ SetState(): 4 -> 5
    22-06-2012	3.07.23	+ FetchDepFileL(): 0x20013851
    22-06-2012	3.07.23	DepPkg URL: 'http://dl.qt.nokia.com/smartinstaller/20013851/1.7.7/'
    22-06-2012	3.07.23	Downloading DEP: 'pips_dep.xml'
    22-06-2012	3.07.23	+ StartDownload(): 'http://dl.qt.nokia.com/smartinstaller/20013851/1.7.7/pips_dep.xml'
    22-06-2012	3.07.23	  to 'C:\system\adm\pips_dep.xml'
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2054, L=0
    22-06-2012	3.07.23	DlSt=   15, PrSt=    0, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt=  500, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1000, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1020, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2020, L=0
    22-06-2012	3.07.23	DlSt=    3, PrSt= 2021, L=0
    22-06-2012	3.07.23	Starting download
    22-06-2012	3.07.23	DlSt=    2, PrSt=  500, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1000, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 1020, L=0
    22-06-2012	3.07.23	DlSt=    2, PrSt= 2030, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 2050, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 2051, L=0
    22-06-2012	3.07.24	DlSt=    2, PrSt= 3002, L=0
    22-06-2012	3.07.24	DlSt=    4, PrSt=    0, L=0
    22-06-2012	3.07.24	DL     190/    190 (0.5 s, 0.36 kB/s) (total: 13 kB, 9.4 s, avg 1.49 kB/s) OK
    22-06-2012	3.07.24	+ SetState(): 5 -> 6
    22-06-2012	3.07.24	+ ParseDepFileL(): 'C:\system\adm\pips_dep.xml'
    22-06-2012	3.07.24	+ SetState(): 6 -> 2
    22-06-2012	3.07.24	DlSt=   16, PrSt=    0, L=0
    22-06-2012	3.07.24	+ BuildDepTreeL(2)
    22-06-2012	3.07.24	* Processing 0x2000F866 (0, 0)
    22-06-2012	3.07.24	Package 0x2000F866 files present
    22-06-2012	3.07.24	Package 0x2000F866: v1.07.0 installed (v1.06.0 requested)
    22-06-2012	3.07.24	+ SetState(): 2 -> 3
    22-06-2012	3.07.24	Downloading CHANGES: '2000f866_changes.xml'
    22-06-2012	3.07.24	DlSt=   13, PrSt=    0, L=0
    22-06-2012	3.07.25	Starting download
    22-06-2012	3.07.26	DL   11621/  11621 (1.4 s, 8.27 kB/s) (total: 25 kB, 10.7 s, avg 2.35 kB/s) OK
    22-06-2012	3.07.26	+ SetState(): 3 -> 4
    22-06-2012	3.07.26	+ ParseChangesFileL(): 'C:\system\adm\2000f866_changes.xml'
    22-06-2012	3.07.26	[0x2000F866] v1.07.0 installed
    22-06-2012	3.07.26	[0x2000F866] v1.06.0 requested
    22-06-2012	3.07.26	+ SM::RunError(): 4, 20
    22-06-2012	3.07.26	! Package 0x2000F866 v1.06.0 (stdcpp) not available for 0x20035566
    22-06-2012	3.07.26	Exiting due to failure 4
    22-06-2012	3.07.26	+ SetState(): 4 -> 16
    22-06-2012	3.07.26	+ CADMAppUi::HandleFailure(): 16. err=4, m=3
    22-06-2012	3.07.27	- CADMAppUi::HandleFailure(): 0
    22-06-2012	3.07.28	+ SetState(): 16 -> 15
    22-06-2012	3.07.28	About to uninstall wrapper
    22-06-2012	3.07.28	+ SetState(): 15 -> 18
    22-06-2012	3.07.28	Exit (4)
    22-06-2012	3.07.28	Uninstalling wrapper 0x2002CCCF
    22-06-2012	3.07.32	CInstallManager: Install completed (0). 0
    22-06-2012	3.07.32	HandleInstallCompletedL(0): 18
    22-06-2012	3.07.32	+ TStateExit::InstallCompleted(0): 4, 20
    22-06-2012	3.07.33	+ CADMAppUi::ExitApp(): 4, 0
    22-06-2012	3.07.37	ADM icon hidden: 1 (0)
    22-06-2012	3.07.37	CADMAppUi::~CADMAppUi()
    22-06-2012	3.07.37	+ CStateMachine::Stop(): 0 pkgs installed.
    22-06-2012	3.07.37	Total 25 kB in 10.7 s, avg 2.35 kB/s (25.8 s)
    What dependencies does your app have? Does it need Qt or are you trying to make it install only the OpenC libraries?

    Quote Originally Posted by please_help View Post
    I came to know smart installer is not required for symbian Belle but to publish in ovi store Smart Installer is compulsory right.
    can i publish without smart Installer? or any other solution is there for this issue??
    As you said, the use of Smart Installer is mandatory when publishing the app through the Nokia Store so there is no other solution that for us to figure out what you are doing and make SI deliver the needed packages for your application.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  4. #4
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Quote Originally Posted by ltomuta View Post
    What dependencies does your app have? Does it need Qt or are you trying to make it install only the OpenC libraries?
    No Qt is not required, I am using only Symbian OS PIPS and Standard C++ Library.


    Quote Originally Posted by ltomuta View Post
    As you said, the use of Smart Installer is mandatory when publishing the app through the Nokia Store so there is no other solution that for us to figure out what you are doing and make SI deliver the needed packages for your application.
    then for Nokia Belle device while installing application with smart installer why i am getting "device not Supported"?
    Last edited by please_help; 2012-06-26 at 06:28.

  5. #5
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Well, the problem is that the Smart Installer was intended as a tool for deploying Qt and its configuration is optimized for that use case. Unfortunately the OpenC team has never found the time to deploy a suitable Smart Installer configuration
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  6. #6
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Quote Originally Posted by ltomuta View Post
    Well, the problem is that the Smart Installer was intended as a tool for deploying Qt and its configuration is optimized for that use case. Unfortunately the OpenC team has never found the time to deploy a suitable Smart Installer configuration
    that's why getting "update error" while installing PIPS manually in 500.

    Then it's not at all possible to distribute my app to Belle devices via Nokia store?

  7. #7
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    All Belle devices have the latest OpenC already. You get install failure because those devices don't beed the pagkace you want to install on them. So if targetin these devices, create a version of the install package which does not embed or otherwise try to force an OpenC update.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  8. #8
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Quote Originally Posted by ltomuta View Post
    So if targetin these devices, create a version of the install package which does not embed or otherwise try to force an OpenC update.
    thank you. can you please elaborate about how to create a version of install package? and how to force OpenC update?

  9. #9
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Budapest, Hungary
    Posts
    28,567

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Check conditional installation stuff. http://www.developer.nokia.com/Commu...e_File_Options, http://www.developer.nokia.com/Commu...or_at_run_time and perhaps http://www.developer.nokia.com/Commu...fication_codes can be good readings for that. (I simply searched for platform identification site:nokia.com wiki with Google)
    Also note that starting from S60 5th edition, all devices have some Open C/C++ version built-in. If your application can be built and run with a suitably old version of the plug-in you may succeed without distributing the plug-in itself.

  10. #10
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Indeed, OpenC is available on all devices since S60 3.2 while the C++ support is part of the 5.0 and later release. The problem then boils down to versions and their level of bug fixes, but if the app works on an S60 3.2 device withoug having to install on it themost up-to-date OpenC sis files, then you're safe to deploy that app without embedding any sis file in it. Just build a SIS and deploy it.

    It is when you want to ensure that a certain OpenC version is available to your app that you have to expressly (and manually) have to add the embedded SIS files (or the Smart Installer dependency) to your application's PKG. In the Belle case, that's definitely not needed.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  11. #11
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    can i restrict dependencies for belle devices using machine id like this?

    Code:
    IF (MachineUID=0x2003A678)
    
    
    ELSE
    
    ;Dependencies - PIPS library need to be installed by Smart Installer. 
    (0x20013851), 1, 6, 0~ *, *, *, {"Symbian OS PIPS Library"}
    
    ;Dependencies - Standard C++ library need to be installed by Smart Installer.
    (0x2000F866), 1, 6, 0~ *, *, *, {"Symbian OS Standard C++ Library"}
    
    ENDIF
    Last edited by please_help; 2012-06-26 at 12:08.

  12. #12
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Sorry previous method is wrong i have to check weather the package with dependencies UID is already installed or not like this,

    IF package(0x20013851) AND package(0x2000F866)
    ;
    ELSE
    ;
    ENDIF


    but above package UID'll be same in all OS versions?

  13. #13
    Registered User
    Join Date
    Sep 2011
    Posts
    203

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    In If condition i am not able to include these two dependencies.

    Code:
    IF package(0x20013851) AND package(0x2000F866)
    
    "$(EPOCROOT)Epoc32\data\20067644.rsc"                             -"c:\private\101f875a\import\[200628fd].rsc"
    "$(EPOCROOT)Epoc32\data\z\resource\apps\ZXingBarcodeReader_0x20067644.rsc"        -"!:\resource\apps\ZXingBarcodeReader_0x20067644.rsc"
    "$(EPOCROOT)Epoc32\data\z\private\10003a3f\apps\ZXingBarcodeReader_0x20067644_reg.rsc"    -"!:\private\10003a3f\import\apps\ZXingBarcodeReader_0x20067644_reg.rsc"
    "$(EPOCROOT)Epoc32\data\z\resource\apps\ZXingBarcodeReader_0x20067644.mif" -"!:\resource\apps\ZXingBarcodeReader_0x20067644.mif"
    
    ELSE
    
    ;Dependencies - PIPS library need to be installed by Smart Installer. 
    (0x20013851), 1, 6, 0~ *, *, *, {"Symbian OS PIPS Library"}
    
    ;Dependencies - Standard C++ library need to be installed by Smart Installer.
    (0x2000F866), 1, 6, 0~ *, *, *, {"Symbian OS Standard C++ Library"}
    
    "$(EPOCROOT)Epoc32\data\20067644.rsc"                             -"c:\private\101f875a\import\[200628fd].rsc"
    "$(EPOCROOT)Epoc32\data\z\resource\apps\ZXingBarcodeReader_0x20067644.rsc"        -"!:\resource\apps\ZXingBarcodeReader_0x20067644.rsc"
    "$(EPOCROOT)Epoc32\data\z\private\10003a3f\apps\ZXingBarcodeReader_0x20067644_reg.rsc"    -"!:\private\10003a3f\import\apps\ZXingBarcodeReader_0x20067644_reg.rsc"
    "$(EPOCROOT)Epoc32\data\z\resource\apps\ZXingBarcodeReader_0x20067644.mif" -"!:\resource\apps\ZXingBarcodeReader_0x20067644.mif"
    
    ENDIF
    getting these errors.
    Code:
    unexpected text[C:\Symbian\9.2\S60_3rd_FP1_2\epoc32\build\Symbian\Carbide\workspace\ZXingBarcodeReader_General\group\_resolvedZXingBarcodeReader_S60.pkg]
    makesis.exe returned with exit value = 1
    Expected ENDIF read ([C:\Symbian\9.2\S60_3rd_FP1_2\epoc32\build\Symbian\Carbide\workspace\ZXingBarcodeReader_General\group\_resolvedZXingBarcodeReader_S60.pkg]

  14. #14
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Budapest, Hungary
    Posts
    28,567

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    Based on the documentation and your error message I think the answer is no, dependencies may not be part of a conditional block.

  15. #15
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: "Device not Supported" with smart Installer in 500(Nokia Belle)

    wizard_hu_ is right. But even if that would work, it would still not help you since declaring a dependency does not ensure that it is also fulfilled (unless you use SI which, as we discussed, should be avoided).

    How about simply adding
    Code:
    ;Dependencies - PIPS library need to be installed by Smart Installer. 
    (0x20013851),*, *, *, {"Symbian OS PIPS Library"}
    ;Dependencies - Standard C++ library need to be installed by Smart Installer.
    (0x2000F866),*, *, *, {"Symbian OS Standard C++ Library"}
    and then test the app [and deploy it] only on devices known to have OpenC++ built-in (S60 5.0 onwards). No smart installer. No embedded sis files.

    The only thing you need to do is a test on at least one device from each generation to ensure that whatever version of OpenC it has inside (even older that 1.6) your app still works.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Page 1 of 2 12 LastLast

Similar Threads

  1. Smart Installer "Installation Failed"
    By please_help in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 15
    Last Post: 2012-04-27, 11:34
  2. smart installer fails with "unable to delete file"
    By Nesma M. Rezk in forum [Archived] Nokia Smart Installer for Symbian
    Replies: 3
    Last Post: 2011-05-20, 14:09

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •